# -*- coding: utf-8 -*-
# Generated by Django 1.9.8 on 2016-09-26 07:58
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('imagesearch', '0002_auto_20160720_1200'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='curatedimage',
            name='attribution',
        ),
        migrations.RemoveField(
            model_name='curatedimage',
            name='author',
        ),
        migrations.RemoveField(
            model_name='curatedimage',
            name='image',
        ),
        migrations.RemoveField(
            model_name='curatedimage',
            name='via',
        ),
        migrations.AddField(
            model_name='curatedimage',
            name='attr_text',
            field=models.TextField(default='', verbose_name='Attribution text'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='curatedimage',
            name='attr_url',
            field=models.TextField(default='', verbose_name='Attribution url'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='curatedimage',
            name='full',
            field=models.FileField(default=None, upload_to='curated/%Y-%m/'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='curatedimage',
            name='license',
            field=models.CharField(choices=[('b', 'CC BY SA 3.0'), ('0', 'CC0')], default='0', max_length=1, verbose_name='License'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='curatedimage',
            name='tile',
            field=models.BooleanField(default=False, verbose_name='If the image should be a tile'),
        ),
    ]
